Skip to content

Frontend

Endpoints for use in configuring the frontend before and after authentication.

Operations

Get bootstrap data

Request

Get pre-auth app metadata and settings.

Fetch metadata and settings for a Peach application. This endpoint is public readable because this information is necessary to properly render the frontend even for users who are not yet logged-in — i.e., the login page needs to have the right company name and color scheme.

Since multiple frontend application are supported by the backend you must specify for which frontend application this bootstrap request is intended. The best way to do this is by specifying domain. e.g., domain=myappdomain.com. (Please note that a "Company App Domain" must already be configured for your environment for this to work. There is no public API for this yet, so contact support.)

You may also specify the companyId and appDomainType instead of the domain, but this is discouraged and mostly intended for development / debugging.

Query
companyIdstring, >= 1

The unique company identifier.

domainstring

A valid domain associated with a company

appDomainTypestring(AppDomainType)

App Domain Type.

Enum:"borrower""agent""help""admin"
GET
/bootstrap
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/bootstrap?companyId=string&domain=string&appDomainType=borrower'

Responses

Success

Bodyapplication/json
appDomainTypestring(AppDomainType)
Enum:"borrower""agent""help""admin"
authTypestring(AuthType)
Enum:"basic""google""oneTimeCodeEmail""oneTimeCodeText""SAML"
authValueTypestring(AuthValueType)
Enum:"email""username""phone""samlSubjectNameId"
companyobject

IMPORTANT: The values in here DO NOT directly correspond to the values returned by the /api/companies/{companyId} endpoint. These values are similar but transformed for public consumption.

ssoLoginUrlstring or null

The SSO login URL to send the requester to if this is an SSO-authenticated application, otherwise return null.

userTypestring(UserType)

The type of the user.

Enum:"agent""borrower""service"
Response
{ "appDomainType": "borrower", "authType": "basic", "authValueType": "email", "company": { "agentAuthType": "basic", "agentAuthValueType": "email", "borrowerAuthType": "basic", "borrowerAuthValueType": "email", "brandAssets": {}, "brandName": "string", "communication": {}, "defaultVerificationTypeId": "string", "domainName": "string", "evidence": {}, "forceCaseIdOnAgentActions": true, "id": "string", "legalName": "string", "links": {}, "name": "string", "openHours": {}, "paymentTypes": {}, "shortDomainName": "string", "showPoweredByPeach": true, "statements": {}, "support": {}, "tasks": {}, "timezone": "string", "ui": {} }, "ssoLoginUrl": "string", "userType": "agent" }